#!/bin/sh
# Before running this script please ensure that your PATH is
# typical as you use for compilation/istallation. I use
# /bin /sbin /usr/bin /usr/sbin /usr/local/bin, but it may
# differ on your system.
#
PATH=/sbin:/usr/sbin:/bin:/usr/bin:$PATH
echo '-- Versions installed: (if some fields are empty or look'
echo '-- unusual then possibly you have very old versions)'
echo `uname -s`" Kernel:		" `uname -r`
echo "GNU C			" `gcc --version`

ld -v 2>&1 | awk -F\) '{print $1}' | awk \
      '/BFD/{print "Binutils		",$NF}'
ls -l `ldd /bin/sh | awk '/libc/{print $3}'` | sed -e 's/\.so$//' \
  | awk -F'[.-]'   '{print "GNU libc		 "$(NF-2)"."$(NF-1)"."$NF}'

ldd --version 2>&1 | awk 'NR==1{print "dynamic linker		",$NF}'
ls -l /usr/lib/lib{g,stdc}++.so  2>/dev/null | awk -F. \
       '{print "Linux C++ Library      " $4"."$5"."$6}'


autoconf --version 2>&1 | awk 'NR==1{print "autoconf		",$NF}'
automake --version 2>&1 | awk 'NR==1{print "automake		",$NF}'
libtool --version 2>&1 | awk 'NR==1{print "libtool			",$4}'

flex --version 2>&1 | awk 'NR==1{print "flex			",$NF}'
yacc --version 2>&1 | awk 'NR==1{print "yacc			",$NF}'

echo	"GTK			 `gtk-config --version`"
echo	"gdk-pixbuf		 `gdk-pixbuf-config --version`"
echo	"SDL			 `sdl-config --version`"
echo	"ESD			 `esd-config --version`"
